Skip to content

Suspend VM

POST
/api/v1/vm/suspend/{id}
curl --request POST \
--url https://console.cloudlogics.com/api/v1/vm/suspend/8f14e45f-ceea-467a-9f2c-1b1d3a5e77c2 \
--header 'Authorization: <Authorization>'

Suspend a virtual machine

id
required
string

VM ID

Instance suspended

Media typeapplication/json
string
Examplegenerated
example

Invalid state transition

Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{
"data": "example",
"error": {
"code": 1,
"message": "example"
},
"page": {
"next": "example",
"prev": "example",
"total_size": 1
}
}

Internal server error

Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{
"data": "example",
"error": {
"code": 1,
"message": "example"
},
"page": {
"next": "example",
"prev": "example",
"total_size": 1
}
}